Bug 31272 - Show library name not code when placing item level holds in OPAC
Summary: Show library name not code when placing item level holds in OPAC
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 30992
Blocks:
  Show dependency treegraph
 
Reported: 2022-07-30 20:35 UTC by Katrin Fischer
Modified: 2022-08-05 15:05 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 31272: Use TT plugins for pickup library and due date in opac-reserve.pl (4.75 KB, patch)
2022-07-30 21:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 31272: Use TT plugins for pickup library and due date in opac-reserve.pl (4.82 KB, patch)
2022-08-05 11:01 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-07-30 20:35:24 UTC
When placing an item level hold in the OPAC and there are other pending holds, the branchcode will show instead of the branchname:

On hold for patron expected at FFL since 07/30/2022 .
Comment 1 Katrin Fischer 2022-07-30 21:40:03 UTC
Created attachment 138399 [details] [review]
Bug 31272: Use TT plugins for pickup library and due date in opac-reserve.pl

Before this patch the date formatting for the due date was done
in the .pl instead of the template and the branchcode would show
instead of the library's name in the list of items when placing
an item level hold in the OPAC.

To test:
* Find or create a record with mulitple items
* Check out one of the items
* Place a record level hold
* Return an item to set to waiting
* Place an item level hold
* Go to the OPAC and start placing an item level hold
* Verify the messages in the item table show the branchcode
* Apply patch
* Only visible change should be the library name replacing the branchcode
Comment 2 Martin Renvoize 2022-08-05 11:01:44 UTC
Created attachment 138680 [details] [review]
Bug 31272: Use TT plugins for pickup library and due date in opac-reserve.pl

Before this patch the date formatting for the due date was done
in the .pl instead of the template and the branchcode would show
instead of the library's name in the list of items when placing
an item level hold in the OPAC.

To test:
* Find or create a record with mulitple items
* Check out one of the items
* Place a record level hold
* Return an item to set to waiting
* Place an item level hold
* Go to the OPAC and start placing an item level hold
* Verify the messages in the item table show the branchcode
* Apply patch
* Only visible change should be the library name replacing the branchcode

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2022-08-05 11:02:35 UTC
Nice one Katrin, this is a great little improvement.

Going straight for QA on this, it's clear and simple and achieves exactly what's on the tin.

Passing QA
Comment 4 Tomás Cohen Arazi 2022-08-05 15:05:54 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!